#*******************************************************************************
# Copyright 2008, 2013 Hochschule Offenburg
# Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
# Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
# Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
#
# This file is part of magmaOffenburg.
#
# magmaOffenburg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# magmaOffenburg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
#*******************************************************************************
#!/bin/bash
###########################################
# Cuts off cycles from all logfiles in the folder passed
#
# !Attention!: the output is a single file, so it does not contain any server output logs even if the input file did!
#
# example: ./cutAllLogfiles.sh /home/klaus/logfiles
###########################################

if [ $# -ne 1 ]; then
        echo "Usage: $0 <path of folder to process>"
        exit 1
fi

for file in $( ls $1/*.tar.bz2 )
do
	./cutLogfile.sh $file bz2 both
done