#*******************************************************************************
# Copyright 2008, 2013 Hochschule Offenburg
# Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
# Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
# Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
#
# This file is part of magmaOffenburg.
#
# magmaOffenburg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# magmaOffenburg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
#*******************************************************************************
#!/bin/bash
###########################################
# Cuts off cycles from logfiles before game start and after game end (in either half of the game)
#
# !Attention!: the output is a single file, so it does not contain any server output logs even if the input file did!
#
# example: ./cutLogfile.sh  magma_vs_boldhearts.tar.bz2 bz2 both
###########################################

if [ $# -ne 3 ]; then
        echo "Usage: $0 <input file> <output format> <service>"
        echo "output format:"
        echo "bz2          - a single file bz2 compressed"
        echo "gz           - a single file gzip compressed"
        echo "uncompressed - a single uncompressed file"
        echo "service:"
        echo "cut          - cuts off cycles outside the game"
        echo "shrink       - replaces 6 digits precision with 3"
        echo "both         - cuts and shrinks"
        exit 1
fi

CLSPTH=.:./logfileCutter.jar:./commons-compress-1.5.jar

echo "Processing: $1"
# java -cp $CLSPTH -jar ./logfileCutter.jar $1 $2 $3 

java -cp $CLSPTH magma.tools.logfile.LogfileCutter $1 $2 $3  
