package magma.util.connection.impl;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

import magma.util.connection.IServerConnection;
import magma.util.file.TarBz2ZipUtil;

/**
 * @author Stefan Glaser
 */
public class RCSSLogFileConnection extends ConnectionBase implements
		IServerConnection
{
	private File logsrc;

	private BufferedReader br;

	private String currentMessage;

	public RCSSLogFileConnection(File file)
	{
		this.logsrc = file;
	}

	@Override
	public boolean next()
	{
		if (connected) {
			try {
				currentMessage = br.readLine();
			} catch (IOException e) {
				e.printStackTrace();
				stopReceiveLoop();
				return false;
			}

			if (currentMessage != null) {
				observer.onStateChange(currentMessage);
				return true;
			} else {
				stopReceiveLoop();
				return false;
			}
		}

		return false;
	}

	@Override
	public boolean establishConnection()
	{
		try {
			br = TarBz2ZipUtil.createBufferedReader(logsrc);
			connected = true;
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			return false;
		}

		return true;
	}

	@Override
	public String getCurrentMessage()
	{
		return currentMessage;
	}

	@Override
	public void sendMessage(String msg)
	{
	}

	@Override
	public boolean startReceiveLoop()
	{
		return true;
	}

	@Override
	public void stopReceiveLoop()
	{
		try {
			br.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
		super.stopReceiveLoop();
	}
}
